/***
 *** SVGA clock programming functions for SVGATextMode
 *** Written by Koen Gadeyne (kmg@barco.be)
 ***
 ***/

#ifndef _STD_CLOCK_H
#define _STD_CLOCK_H

/*
 * Cirrus Logic specific clock stuff
 */


#define SET_CLOCKBITS_0_1(no)   ( outb(( inb(VGA_MISC_R) & 0xf3) | (((no) << 2) & 0x0C) , VGA_MISC_W) ) /* bits 0 and 1 of clock no */


void LegendClockSelect(int no);

void TVGAClockSelect(int chipset, int num_clocks, int no);

void s3ClockSelect(int no, int optmask);

void ATIClockSelect(int chipset, int no);

void WDCClockSelect(int chipset, int num_clocks, int no, int optmask);

void ET4000ClockSelect(int no, int optmask);

void CirrusClockSelect(float freq, int optmask);

void Video7ClockSelect(int no);

#endif

